<?php
	include_once(__DIR__."/../../core.php");
	
	
	

	$idmodulo = $html->form('idmodule');
	$module_name=get_module_name_by_id($idmodulo);

	
	
//	include($docroot."/core.php");
//	include($docroot."/lib/user_check.php");
	//include($docroot."/lib/permissions_check.php");
	
	$iddocumento = $html->form('iddocumento');
	
	
	//Info documento
	$q = "SELECT * FROM co_documenti WHERE id='".$iddocumento."'";
	$rs = $dbo->fetchArray($q);
	( $rs[0]['numero_esterno'] != '' ) ? $numero=$rs[0]['numero_esterno'] : $numero=$rs[0]['numero'];
	$idanagrafica = $rs[0]['idanagrafica'];
	$idpagamento = $rs[0]['idpagamento'];
	$idconto = $rs[0]['idconto'];


	
	//Info tipolgoai documenti
	$q_tipo = "SELECT * FROM co_tipidocumento WHERE id='".$rs[0]['idtipodocumento']."'";
	$rs_tipo = $dbo->fetchArray($q_tipo);
	$differito_suc = $rs_tipo[0]['differito_suc'];
	$differito_sta = $rs_tipo[0]['differito_sta'];
	$dir = $rs_tipo[0]['dir'];
	
	
	
	$query = "SELECT * FROM co_documenti  WHERE idtipodocumento='".$differito_suc."' and idstatodocumento='".$differito_sta."' and idanagrafica='".$idanagrafica."' and id_differito='0' order by data";
	
	$rs = $dbo->fetchArray( $query );
	$n2 = sizeof($rs);
	
	$descrizione_doc=get_var_tipodoc2($rs[0]['id'],'descrizione');


	/*
		Form di inserimento riga documento
	*/
	echo "<label>Documenti  $descrizione1</label><br><br>\n";
	echo "<form id=\"link_form\" action=\"".$rootdir."/editor.php?id_module=".$modules_info[$module_name]['id']."&id_record=".$iddocumento."\" method=\"post\">\n";
	echo "	<input type='hidden' name='op' value='documento_differito'>\n";
	echo "	<input type='hidden' name='dir' value='".$dir."'>\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";
	
	echo "	<div class='row'>\n";


	//Seleziona articolo
	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Tipo documento</label>\n";
	

	if( ($n2) == 0 ){
		echo "				... Non ci sono tipologie documenti in archivio ...<br><br>\n";
		echo "				<input type=\"hidden\" id=\"id_documentopadre\" value=\"\">\n";
	}	
	else{
		echo "				<select id=\"id_documentopadre\" name=\"id_documentopadre\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";
		echo "				<option value=\"\">- Seleziona il documento da evadere -</option>\n";				
		echo "					<optgroup label=\"Numero documenti da evadere (".$n2.")\">\n";		
		for( $i=0;$i<$n2;$i++ ){

				$descrizione=get_var_tipodoc2($rs[$i]['id'],'descrizione')." Numero : ".$rs[$i]['numero_esterno']." Del ".date( "d/m/Y", strtotime($rs[$i]['data']));
		
			echo "				<option value=\"".$rs[$i]['id']."\"  >".$descrizione." </option>\n";
		}		
		echo "				</optgroup>\n";
	}
	
	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";
	echo "	</div>\n";
	
	
	
	
	?>
	
	
	<script type="text/javascript">
		function documento_differito(){
			if( $('#id_documentopadre').val()!=''   ){
				$("#link_form").submit();
			}
		}
		
		$(document).ready( function(){
			start_superselect();
			start_inputmask();
		});
	</script>


	<?php
	echo "	<a onclick=\"documento_differito();\" class=\"btn btn-info pull-right\"><i class=\"fa fa-plus\"></i> Crea</a>\n";
	echo "</form>\n";
	
	?>
	
	<div class="clearfix"></div>

